Bug 1772469 - Consider removing modular gimp in favour of non-modular version
Summary: Consider removing modular gimp in favour of non-modular version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1770285
Blocks: 1773278
TreeView+ depends on / blocked
 
Reported: 2019-11-14 12:38 UTC by Kalev Lember
Modified: 2020-01-22 01:14 UTC (History)
7 users (show)

Fixed In Version: gimp-2.10.14-3.fc31 gimp-2.10.14-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-21 01:38:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Kalev Lember 2019-11-14 12:38:15 UTC
Could we remove the modular gimp in F32 and just ship the non-modular one? It seems pointless to have both and just increases the work needed to be done when updating gimp.

When updating to 2.10.14, I did the non-modular packages and then after that jridky had to spend almost a whole day getting the modular ones to build as well, on top of the work already done. That seems suboptimal.

Comment 1 Lukas Ruzicka 2019-11-14 12:41:09 UTC
Yes, please. I also support this. There is no need for modular gimp, as it only has one stream which is the same with the ursine one.

Comment 2 Miro Hrončok 2019-11-14 12:43:41 UTC
See also bz1753614.

Comment 3 Josef Ridky 2019-11-14 14:50:55 UTC
+1 from me, due modular stuff has a lot of unsolved issues and is hard to say, how it will be in the future, I would love to remove modular gimp in F32+, till the modularity project will be usable.

Does anyone know the right process to start for removing modules from F32+?

Comment 4 Kalev Lember 2019-11-14 14:56:24 UTC
I believe it starts with a PR similar to https://pagure.io/releng/fedora-module-defaults/pull-request/167

Stephen, do you know if there's anything else that needs to be done?

Comment 5 Stephen Gallagher 2019-11-14 15:02:55 UTC
For those who are currently on the modular stream, we would also need to migrate them off of it to the non-modular one. Currently we have a bug on that (https://bugzilla.redhat.com/show_bug.cgi?id=1770285).

Comment 6 Kalev Lember 2019-11-14 15:16:06 UTC
Thanks. I don't think https://bugzilla.redhat.com/show_bug.cgi?id=1770285 is a blocker for retiring modular gimp though; a lot of modules were already retired in F32 and this would be just another one to add to the list. In the worst-case scenario if the dnf fix isn't ready in time, I suppose we can always do another hack similar to https://bugzilla.redhat.com/show_bug.cgi?id=1762751 and https://bugzilla.redhat.com/show_bug.cgi?id=1747408

Comment 7 Josef Ridky 2019-11-18 08:25:32 UTC
PR created
https://pagure.io/releng/fedora-module-defaults/pull-request/185

Comment 8 Fedora Update System 2020-01-14 01:43:13 UTC
gimp-2.10.14-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cffdc435a6

Comment 9 Fedora Update System 2020-01-14 02:48:20 UTC
gimp-2.10.14-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ffb693694c

Comment 10 Fedora Update System 2020-01-21 01:38:29 UTC
gimp-2.10.14-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-01-22 01:14:07 UTC
gimp-2.10.14-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.